<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../vendor/CSS/bootstrap.min.css">
    <link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />
    <title>labo Bootstrap</title>
</head>
<body>
<!-- Container-fluid permet la responsivité de la page en redimensionant les éléments -->
<div class="container-fluid">
    <h1>Formulaire</h1>
    <button type="button" class="btn-light" data-toggle="modal" data-target="#boite-modal">Formulaire modal</button>

    <!-- Classes nécéssaire pour l'affichage d'une boite modale -->
    <div class="modal" id="boite-modal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Entête de la boite modale pour le titre -->
                <div class="modal-header">
                    <h2 class="modal-title font-weight-bold">Comité</h2>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- Le corps de la boite modale où on place le formulaire -->
                <div class="modal-body">
                    <form>
                        <!--Premier champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="nom" class="col-form-label col-sm-6 text-right">Nom du comité</label>
                            <div class="col-sm-6">
                                <select id="nom" class="form-control">
                                    <option>Admission</option>
                                    <option>Activité</option>
                                    <option>Voyage</option>
                                </select>
                            </div>
                        </div>
                        <!-- Deuxième champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="role" class="col-form-label col-sm-6 text-right">Rôle dans le comité</label>
                            <div class="col-sm-6">
                                <input type="text" id="role" class="form-control" placeholder="Rôle">
                            </div>
                        </div>
                        <!-- Troisième champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="date-1" class="col-form-label col-sm-6 text-right">Nomination</label>
                            <div class="col-sm-6">
                                <!--Pour éviter le bug de la librairie gijgo (impossible de choisir une 2ème date), on peut utiliser le type date par défaut
                                mais on ne peut pas changer le format -->
                                <input type="date" id="date-1" class="form-control" placeholder="AAAA-MM-JJ">
                            </div>
                        </div>
                        <!-- Quatrième champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="date-2" class="col-form-label col-sm-6 text-right">Membre depuis le</label>
                            <div class="col-sm-6">
                                <!--Pour éviter le bug de la librairie gijgo (impossible de choisir une 2ème date), on peut utiliser le type date par défaut
                                mais on ne peut pas changer le format -->
                                <input type="date" id="date-2" class="form-control" placeholder="AAAA-MM-JJ">
                            </div>
                        </div>
                        <!-- Cinquième champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="date-3" class="col-form-label col-sm-6 text-right">Jusqu'au</label>
                            <div class="col-sm-6">
                                <!--Pour éviter le bug de la librairie gijgo (impossible de choisir une 2ème date), on peut utiliser le type date par défaut
                                 mais on ne peut pas changer le format -->
                                <input type="date" id="date-3" class="form-control" placeholder="AAAA-MM-JJ">
                            </div>
                        </div>
                        <!-- Sixième champ du formulaire -->
                        <div class="form-group row justify-content-center col-sm-12">
                            <label for="numero" class="col-form-label col-sm-6 text-right">Numéro de résolution du CA</label>
                            <div class="col-sm-6">
                                <input type="text" id="numero" class="form-control" placeholder="numéro de résolution">
                            </div>
                        </div>

                        <div class="modal-footer">
                            <a class="btn-link font-weight-bold">Annuler</a>
                            <button type="button" class="btn-light font-weight-bold">Enregistrer</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="../vendor/JS/jquery-3.5.1.min.js"></script>
<script src="../vendor/JS/bootstrap.min.js"></script>
<script src="https://unpkg.com/gijgo@1.9.13/js/gijgo.min.js" type="text/javascript"></script>
<script>
    $('.datepicker').datepicker({
        uiLibrary: 'bootstrap4'
    });
</script>
</body>
</html>